WebM Codec SDK

Data Fields
vpx_roi_map Struct Reference
Supported Codecs » VP8 » WebM VP8/VP9 Encoder

vpx region of interest map More...

`#include <vp8cx.h>`

## Data Fields
uint8_t | enabled
unsigned char * | roi_map
unsigned int | rows
unsigned int | cols
int | delta_q [8]
int | delta_lf [8]
int | skip [8]
int | ref_frame [8]
unsigned int | static_threshold [4]

## Detailed Description

vpx region of interest map

These defines the data structures for the region of interest map

## Field Documentation

## ◆ enabled

uint8_t vpx_roi_map::enabled

If ROI is enabled.

## ◆ roi_map

unsigned char* vpx_roi_map::roi_map

An id between 0-3 (0-7 for vp9) for each 16x16 (8x8 for VP9) region within a frame.

## ◆ rows

unsigned int vpx_roi_map::rows

Number of rows.

## ◆ cols

unsigned int vpx_roi_map::cols

Number of columns.

## ◆ delta_q

int vpx_roi_map::delta_q[8]

VP8 only uses the first 4 segments. VP9 uses 8 segments. Quantizer deltas. Valid range: [-63, 63].

## ◆ delta_lf

int vpx_roi_map::delta_lf[8]

Loop filter deltas. Valid range: [-63, 63].

## ◆ skip

int vpx_roi_map::skip[8]

skip and ref frame segment is only used in VP9. Skip this block.

## ◆ ref_frame

int vpx_roi_map::ref_frame[8]

Reference frame for this block.

## ◆ static_threshold

unsigned int vpx_roi_map::static_threshold[4]

Static breakout threshold for each segment. Only used in VP8.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h